### Home Classes Methods

### In Files

- lib/cool.io/listener.rb

### Parent

Coolio::Listener

### Methods

- ::new

### Class/Module Index

Quicksearch

- Coolio
- Coolio::AsyncWatcher
- Coolio::Connections
- Coolio::DNSResolver
- Coolio::DNSResolver::Timeout
- Coolio::DSL
- Coolio::DSL::ConnectionBuilder
- Coolio::IO
- Coolio::IO::Watcher
- Coolio::IOWatcher
- Coolio::Listener
- Coolio::Loop
- Coolio::Meta
- Coolio::Server
- Coolio::Socket
- Coolio::Socket::Connector
- Coolio::TCPListener
- Coolio::TCPServer
- Coolio::TCPSocket
- Coolio::TCPSocket::TCPConnectResolver
- Coolio::TCPSocket::TCPConnectSocket
- Coolio::TimerWatcher
- Coolio::UNIXListener
- Coolio::UNIXServer
- Coolio::UNIXSocket
- Cool
- Cool::Coolness
- Cool::IOThunk
- Object
- Thread

No matching classes.

# Coolio::UNIXListener

### Public Class Methods

new(*args) click to toggle source

Create a new Coolio::UNIXListener

Accepts the same arguments as UNIXServer.new Optionally, it can also take anyn existing UNIXServer object and create a Coolio::UNIXListener out of it.

    # File lib/cool.io/listener.rb, line 93
    def initialize(*args)
      s = ::UNIXServer === args.first ? args.first : ::UNIXServer.new(*args)
      s.instance_eval { listen(DEFAULT_BACKLOG) }
      super(s)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.